Page MenuHomePhabricator

Move scap puppet code into a module
Closed, ResolvedPublic

Description

It's currently a mess, living in misc/deployments.pp. Set it up as a proper module + roles.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2015, 8:28 AM
gerritbot added a subscriber: gerritbot.

Change 186597 had a related patch set uploaded (by Yuvipanda):
scap: Move 'common_scripts' into scripts class

https://gerrit.wikimedia.org/r/186597

Patch-For-Review

Change 186598 had a related patch set uploaded (by Yuvipanda):
scap: Move scap master code into own class

https://gerrit.wikimedia.org/r/186598

Patch-For-Review

Change 186600 had a related patch set uploaded (by Yuvipanda):
scap: Move l10nupdate into module

https://gerrit.wikimedia.org/r/186600

Patch-For-Review

Change 186601 had a related patch set uploaded (by Yuvipanda):
scap: Move rsync proxies into module

https://gerrit.wikimedia.org/r/186601

Patch-For-Review

Change 186603 had a related patch set uploaded (by Yuvipanda):
logging: Move fatalmonitor into role::mediawiki::logging

https://gerrit.wikimedia.org/r/186603

Patch-For-Review

Change 186597 merged by Yuvipanda:
scap: Move 'common_scripts' into scripts class

https://gerrit.wikimedia.org/r/186597

Change 186598 merged by Yuvipanda:
scap: Move scap master code into own class

https://gerrit.wikimedia.org/r/186598

Change 187155 had a related patch set uploaded (by Yuvipanda):
scap: Add missing role file

https://gerrit.wikimedia.org/r/187155

Patch-For-Review

Change 187155 merged by Yuvipanda:
scap: Add missing role file

https://gerrit.wikimedia.org/r/187155

Change 186600 merged by Yuvipanda:
scap: Move l10nupdate into module

https://gerrit.wikimedia.org/r/186600

Change 187159 had a related patch set uploaded (by Yuvipanda):
scap: Fix typo

https://gerrit.wikimedia.org/r/187159

Patch-For-Review

Change 187159 merged by Yuvipanda:
scap: Fix typo

https://gerrit.wikimedia.org/r/187159

Change 186601 merged by Yuvipanda:
scap: Move rsync proxies into module

https://gerrit.wikimedia.org/r/186601

Change 186603 merged by Yuvipanda:
logging: Move fatalmonitor into role::mediawiki::logging

https://gerrit.wikimedia.org/r/186603

greg triaged this task as Normal priority.Jan 28 2015, 11:40 PM
greg moved this task from To Triage to In-progress on the Beta-Cluster-Infrastructure board.

It is in a module now (yay!), but needs some more tweaks before it can replace beta::scap

mmodell added a subscriber: mmodell.
ArielGlenn set Security to None.
yuvipanda closed this task as Resolved.Mar 14 2015, 7:25 AM
yuvipanda claimed this task.

Done. beta/scap is gone.

greg moved this task from Backlog to Done on the Staging board.Mar 16 2015, 3:45 PM